Does anyone use SuSE 8.2

Gerhard Häring gh at ghaering.de
Wed Jun 4 11:33:47 CEST 2003


John Fabiani wrote:
> Hi,
> 
> I'm having lots of trouble getting pyPgSQL and PythonCard running.  My
> python is 2.2.2 and appears to be in the same location as RH
> "/usr/lib/python2.2/site-packages/" but I can't get anything to run.  I was
> succesful with wxPython but that's all.  When I attempt to "from libpg
> import *". I get file "libpg" not found.  But it is in
> site-packages/pyPgSQL - so I don't know what's happening.  
> -- So I'm in need of help.

I'll be able to help (though I don't use SuSE myself any longer).

If you want it to get running fast, compile pyPgSQL yourself and don't 
try to use a Redhat RPM on a SuSE machine. That's really not difficult, 
just be sure you have the required packages installed and follow the 
instructions in the README file in the source distribution.

Apart from that, I believe you don't have the version of the PostgreSQL 
client libraries installed that the pyPgSQL RPM references.

Please post the output of:

ldd /usr/lib/python2.2/site-packages/pyPgSQL/libpq/libpqmodule.so

and

ls -al /usr/lib/libpq.so*

-- Gerhard

PS: I'd recommend to use a subject next time that gives people an idea 
what the message is about. Normally I'd overlook posts like this, while 
I will read all with pyPgSQL in the subject.






More information about the Python-list mailing list